aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/python-gettext/Manifest1
-rw-r--r--dev-python/python-gettext/metadata.xml19
-rw-r--r--dev-python/python-gettext/python-gettext-4.1.ebuild24
3 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/python-gettext/Manifest b/dev-python/python-gettext/Manifest
new file mode 100644
index 0000000..820514b
--- /dev/null
+++ b/dev-python/python-gettext/Manifest
@@ -0,0 +1 @@
+DIST python-gettext-4.1.gh.tar.gz 11222 BLAKE2B 1b9530cc4c607627e3af54ae8f0f5c5b5a6b9fe4c64589f646746ffe48dad49304eefb46cb3530231bbe7e1a1e33bf1468acdeb387b05baee1de6958ee267362 SHA512 b79dc9d53c2ae94b025631d2e75939d50a60db9aa30289e9b75adbf3af4ca8d39e51dc391113bba10851919983b523bd69c8a5ee2b5808895a8efd1435016769
diff --git a/dev-python/python-gettext/metadata.xml b/dev-python/python-gettext/metadata.xml
new file mode 100644
index 0000000..30e78fa
--- /dev/null
+++ b/dev-python/python-gettext/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ This implementation of Gettext for Python includes a Msgfmt class which can be used to generate compiled mo files from Gettext po files and includes support for the newer msgctxt keyword.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Hanno Schlichting</name>
+ <email>hanno@hannosch.eu</email>
+ </maintainer>
+ <bugs-to>hanno@hannosch.eu</bugs-to>
+ <changelog>hanno@hannosch.eu</changelog>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/python-gettext/python-gettext-4.1.ebuild b/dev-python/python-gettext/python-gettext-4.1.ebuild
new file mode 100644
index 0000000..c7f489d
--- /dev/null
+++ b/dev-python/python-gettext/python-gettext-4.1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Gettext for Python"
+HOMEPAGE="https://github.com/hannosch/python-gettext"
+SRC_URI="https://github.com/hannosch/python-gettext/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+distutils_enable_tests unittest
+
+src_test() {
+ cd "${S}/src/pythongettext" || die
+ distutils-r1_src_test
+}